commit:     44c2fe03f503306c45d41d8139e5efd3706911d0
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Apr 29 06:51:48 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 06:54:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44c2fe03

dev-python/jsondiff-1.2.0: Version bump, add py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/jsondiff/Manifest              |  1 +
 dev-python/jsondiff/jsondiff-1.2.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/jsondiff/Manifest b/dev-python/jsondiff/Manifest
index ec5b32ac77e..975a58e02a2 100644
--- a/dev-python/jsondiff/Manifest
+++ b/dev-python/jsondiff/Manifest
@@ -1 +1,2 @@
 DIST jsondiff-1.1.2.tar.gz 7803 BLAKE2B 
cbfcfdb2c6c3bb721b4db43aca1d66649257db2cd9feb9655015e621fcd90c72af087696b9553a10ac89cdaf5f23d8748463e1a13bdb19207e34e12e66629544
 SHA512 
ca96bb80a6f7a34c8c5bcde74856dc1c4935b3e2979330ecfc33432aff83968e671b2aaf310c77f2c7d431be1ae6e20a960879700ba3c903a09a48b23d4c0288
+DIST jsondiff-1.2.0.tar.gz 15076 BLAKE2B 
2d659598e6c647c8ea6622fc982808381e570c6ced23b5e77431b52e9fa746a5dbc743c739506362497d1f45dd2c290f23f459713ef31e927c05816e56659762
 SHA512 
5aa391ccc42d07330dfcf272b78aeb130f6f9033ca8b00cbea93549e32f07b98ea84cd6a1e61ab331da3de92838c69a501f95a9adb5f48e2eec46eb653264d55

diff --git a/dev-python/jsondiff/jsondiff-1.2.0.ebuild 
b/dev-python/jsondiff/jsondiff-1.2.0.ebuild
new file mode 100644
index 00000000000..29227333f39
--- /dev/null
+++ b/dev-python/jsondiff/jsondiff-1.2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Diff JSON and JSON-like structures in Python"
+HOMEPAGE="https://github.com/xlwings/jsondiff 
https://pypi.org/project/jsondiff/";
+SRC_URI="https://github.com/fzumstein/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+       test? (
+               dev-python/nose-random[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+       # Avoid file collision with jsonpatch's jsondiff cli.
+       sed -e "/'jsondiff=jsondiff.cli/ d" -i setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to